/**
 * <copyright>
 * </copyright>
 *
 * $Id: CubeRegionValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.olap.Cube;
import orgomg.cwm.analysis.olap.CubeDeployment;
import orgomg.cwm.analysis.olap.MemberSelectionGroup;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.CubeRegion}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface CubeRegionValidator {
	boolean validate();

	boolean validateIsReadOnly(boolean value);
	boolean validateIsFullyRealized(boolean value);
	boolean validateCube(Cube value);
	boolean validateMemberSelectionGroup(EList<MemberSelectionGroup> value);
	boolean validateCubeDeployment(EList<CubeDeployment> value);
}
